//
// C++ Interface: stdinc
//
// Description: 
//
//
// Author: nlm <nlm@hsc.ge>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef __Q_STDINC_H__
#define __Q_STDINC_H__

/* Linux includes */
#ifndef _WIN32
#include <arpa/inet.h>
#include <netdb.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <sys/ioctl.h>
#include <net/if.h>
#include <sys/fcntl.h>
#include <sys/ioctl.h>
#include <sys/stat.h>
#include <sys/mman.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/socket.h>
#else
#define _CRT_SECURE_NO_WARNINGS
#include <SDKDDKVer.h>
#include <Winsock2.h>
#include <Ws2def.h>
#include <Mstcpip.h>
#include <Winnt.h>
#include <Windows.h>
#endif


/* C++ Includes */
#include <iostream>
#include <string>
#include <vector>
#include <map>
#include <deque>
#include <sstream>

/* C Includes */
#ifndef _WIN32
#include <unistd.h>
#include <poll.h>
#include <pthread.h>
#endif

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <memory.h>
#include <errno.h>
#include <stdint.h>
#include <limits.h>
#include <stdarg.h>
#include <signal.h>
#include <stdint.h>
#include <malloc.h>
#include <time.h>

/* Max epolls at the time */
#define QEPOLL_MAX 1024

#ifdef __LP64__
#ifdef __ICC
#include "xmmintrin.h"
typedef __uint128_t quint128;
#else
typedef __uint128_t quint128;
#endif
#else
typedef __uint128_t quint128;
#endif

#ifdef _WIN32
#include "qwindefs.h"
#endif

/* Qarva version file */
#include "qver.h"

#endif
